attribute highp vec3 vVertex;
attribute mediump vec2 vTexCoord;
uniform highp mat4 vMatrix;
varying mediump vec2 fTexCoord;
uniform mediump vec2 fTexelSize;


varying vec2 blurCoordinates[5];

void main() {
	vec2 singleStepOffset = vec2(fTexelSize.x, fTexelSize.y);
	blurCoordinates[0] = vTexCoord.xy;
	blurCoordinates[1] = vTexCoord.xy + singleStepOffset * 1.407333;
	blurCoordinates[2] = vTexCoord.xy - singleStepOffset * 1.407333;
	blurCoordinates[3] = vTexCoord.xy + singleStepOffset * 3.294215;
	blurCoordinates[4] = vTexCoord.xy - singleStepOffset * 3.294215;
	
	vec4 vertex = vec4(vVertex,1.0);
	gl_Position = vMatrix*vertex;
	fTexCoord=vTexCoord;
}